#include <windows.h>
#include <airpcap.h>
#include <stdio.h>

int main(int argc, char* argv[])
{
	CHAR errBuf[AIRPCAP_ERRBUF_SIZE];
	AirpcapDeviceDescription *pDevList, *pCursor;
	ULONG numDevices;

	if(AirpcapGetDeviceList(&pDevList, errBuf) == FALSE)
	{
		printf("Unable to get the list of devices: %s\n", errBuf);
		return -1;
	}

	numDevices = 0;
	
	for(pCursor = pDevList; pCursor != NULL; pCursor = pCursor->next)
	{
		printf("%u) %s (%s)\n", 
		numDevices,
		pCursor->Name,
		pCursor->Description);

		numDevices ++;
	}

	//
	// we do not need the list of devices any more, free it
	//
	AirpcapFreeDeviceList(pDevList);

	return 0;
}